Microseven Tech Support

Tech Support

The New Android 64bit Not Support Old Android Device

without comments

The updated Android app 64bit is required by Google. The 32bit old device is not in the new Google requirement.
Your device is not compatible with the new Google API. To fix the problem, you can
1. You can download our old version Android app at https://www.microseven.com/download/M7.AS-2.0.23.apk
or
2. You can send your Android tablet device to Microseven, we may make it work with Google play store for future downloading. I will send it back to you.

Written by microseven

July 23rd, 2019 at 11:10 pm

Posted in How To